1

I just installed virt-viewer on RHEL7.3 using yum install virt-viewer and now I am getting below error

[root@host ~]# virt-viewer 
virt-viewer: symbol lookup error: /lib64/libspice-client-gtk-3.0.so.5: undefined symbol: gdk_keymap_get_scroll_lock_state

virt-manager also crashes when I try to see graphical console.

enter image description here

Target library seems to exist so something is wrong with the dependency.

[root@host ~]# ls -l /lib64/libspice*
lrwxrwxrwx. 1 root root      33 Aug 12 15:56 /lib64/libspice-client-glib-2.0.so -> libspice-client-glib-2.0.so.8.6.0
lrwxrwxrwx. 1 root root      33 Aug 12 15:06 /lib64/libspice-client-glib-2.0.so.8 -> libspice-client-glib-2.0.so.8.6.0
-rwxr-xr-x. 1 root root 1200664 Jun  8 00:49 /lib64/libspice-client-glib-2.0.so.8.6.0
lrwxrwxrwx. 1 root root      32 Aug 12 16:08 /lib64/libspice-client-gtk-3.0.so.5 -> libspice-client-gtk-3.0.so.5.0.0
-rwxr-xr-x. 1 root root  132176 Jun  8 00:49 /lib64/libspice-client-gtk-3.0.so.5.0.0
lrwxrwxrwx. 1 root root      28 Aug 12 15:56 /lib64/libspice-controller.so -> libspice-controller.so.0.0.0
lrwxrwxrwx. 1 root root      28 Aug 12 15:07 /lib64/libspice-controller.so.0 -> libspice-controller.so.0.0.0
-rwxr-xr-x. 1 root root   69096 Jun  8 00:49 /lib64/libspice-controller.so.0.0.0
lrwxrwxrwx. 1 root root      24 Dec 25  2016 /lib64/libspice-server.so.1 -> libspice-server.so.1.8.0
-rwxr-xr-x. 1 root root 1194648 Sep  9  2016 /lib64/libspice-server.so.1.8.0

Is there anyone else faced the same problem?

2

Found the problem.

Problem

When I install virt-viewer from yum repository, 1 package is installed and 2 packages are updated.

Installing:
 virt-viewer                       x86_64                       5.0-7.el7                         rhel-7-server-rpms                       389 k
Updating for dependencies:
 spice-glib                        x86_64                       0.33-6.el7                        rhel-7-server-rpms                       376 k
 spice-gtk3                        x86_64                       0.33-6.el7                        rhel-7-server-rpms                        83 k

As a result, below error occurs.

[root@host ~]# virt-viewer -h
virt-viewer: symbol lookup error: /lib64/libspice-client-gtk-3.0.so.5: undefined symbol: gdk_keymap_get_scroll_lock_state

Looks like latest spice-glib and spice-gtk3 is not working properly with virt-viewer .

Work Around

Install the virt-viewer from the rhel-server-7.3-x86_64-dvd.iso . spice related packages are not updated and virt-viewer properly works now.

Installing:
 virt-viewer                           x86_64                           2.0-12.el7                           dvd                           344 k

It works properly now.

[root@host ~]# virt-viewer --version
virt-viewer version 2.0-12.el7

Compatible spice-glib and spice-gtk3 are below.

  Installing : spice-glib-0.31-6.el7.x86_64                                                                                                  1/5 
  Installing : spice-gtk3-0.31-6.el7.x86_64                                                                                                  2/5 
  Installing : virt-manager-common-1.4.0-2.el7.noarch                                                                                        3/5 
  Installing : virt-manager-1.4.0-2.el7.noarch                                                                                               4/5 
  Installing : virt-viewer-2.0-12.el7.x86_64                                                                                                 5/5 
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.